hpp-fcl: hpp::fcl::ConvexBase Class Reference

hpp-fcl 1.7.5 HPP fork of FCL -- The Flexible Collision Library

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
hpp::fcl::ConvexBase Class Reference
Geometric shapes

Base for convex polytope. More...

`#include <hpp/fcl/shape/geometric_shapes.h>`

Inheritance diagram for hpp::fcl::ConvexBase:

## Classes
struct | Neighbors

## Public Member Functions
virtual | ~ConvexBase ()
virtual ConvexBase * | clone () const
| More...
void | computeLocalAABB ()
| Compute AABB. More...
NODE_TYPE | getNodeType () const
| Get node type: a conex polytope. More...
Public Member Functions inherited from hpp::fcl::ShapeBase
| ShapeBase ()
| ShapeBase (const ShapeBase &other)
| More...
virtual | ~ShapeBase ()
OBJECT_TYPE | getObjectType () const
| Get object type: a geometric shape. More...
Public Member Functions inherited from hpp::fcl::CollisionGeometry
| CollisionGeometry ()
| CollisionGeometry (const CollisionGeometry &other)
| Copy constructor. More...
virtual | ~CollisionGeometry ()
bool | operator== (const CollisionGeometry &other) const
| Equality operator. More...
bool | operator!= (const CollisionGeometry &other) const
| Difference operator. More...
void * | getUserData () const
| get user data in geometry More...
void | setUserData (void *data)
| set user data in geometry More...
bool | isOccupied () const
| whether the object is completely occupied More...
bool | isFree () const
| whether the object is completely free More...
bool | isUncertain () const
| whether the object has some uncertainty More...
virtual Vec3f | computeCOM () const
| compute center of mass More...
virtual Matrix3f | computeMomentofInertia () const
| compute the inertia matrix, related to the origin More...
virtual FCL_REAL | computeVolume () const
| compute the volume More...
virtual Matrix3f | computeMomentofInertiaRelatedToCOM () const
| compute the inertia matrix, related to the com More...

## Static Public Member Functions
static ConvexBase * | convexHull (const Vec3f *points, int num_points, bool keepTriangles, const char *qhullCommand=NULL)
| Build a convex hull based on Qhull library and store the vertices and optionally the triangles. More...

## Public Attributes
Vec3f * | points
| An array of the points of the polygon. More...
int | num_points
Neighbors * | neighbors
Vec3f | center
| center of the convex polytope, this is used for collision: center is guaranteed in the internal of the polytope (as it is convex) More...
Public Attributes inherited from hpp::fcl::CollisionGeometry
Vec3f | aabb_center
| AABB center in local coordinate. More...
FCL_REAL | aabb_radius
| AABB radius. More...
AABB | aabb_local
| AABB in local coordinate, used for tight AABB when only translation transform. More...
void * | user_data
| pointer to user defined data specific to this object More...
FCL_REAL | cost_density
| collision cost for unit volume More...
FCL_REAL | threshold_occupied
| threshold for occupied ( >= is occupied) More...
FCL_REAL | threshold_free
| threshold for free (<= is free) More...

## Protected Member Functions
| ConvexBase ()
| Construct an uninitialized convex object Initialization is done with ConvexBase::initialize. More...
void | initialize (bool ownStorage, Vec3f *points_, int num_points_)
| Initialize the points of the convex shape This also initializes the ConvexBase::center. More...
| ConvexBase (const ConvexBase &other)
| Copy constructor Only the list of neighbors is copied. More...

## Protected Attributes
unsigned int * | nneighbors_
bool | own_storage_

## Detailed Description

Base for convex polytope.

Note
  Inherited classes are responsible for filling ConvexBase::neighbors;

The documentation for this class was generated from the following file:

- include/hpp/fcl/shape/geometric_shapes.h